Loading...
Searching...
No Matches
g2_miss.c File Reference

Check the Data Representation Template to see if missing value management is used, and returns the missing value(s) in the data field. More...

`#include "grib2_int.h"`

Go to the source code of this file.

## Functions

void | g2_miss (gribfield *gfld, float *rmiss, int *nmiss)
| Check the Data Representation Template to see if missing value management is used, and return the missing value(s) in the data field.

## Detailed Description

Check the Data Representation Template to see if missing value management is used, and returns the missing value(s) in the data field.

Author
  Stephen Gilbeert

Date
  2004-12-16

Definition in file g2_miss.c.

## Function Documentation

## g2_miss()

void g2_miss | ( | gribfield * | gfld,
|  | float * | rmiss,
|  | int * | nmiss
| ) |  |

Check the Data Representation Template to see if missing value management is used, and return the missing value(s) in the data field.

Parameters

  gfld | pointer to gribfield structure.
  rmiss | List of the missing values used.
  nmiss | NUmber of the missing values included in the field. rmiss must be allocated in the calling program with enough space hold all the missing values.

Author
  Stephen Gilbeert

Date
  2004-12-16

Definition at line 24 of file g2_miss.c.

References gribfield::idrtmpl, gribfield::idrtnum, and rdieee().